{% extends "users/userspace.html" %}

{% block additional_stylesheets %}
    <link href="https://cdn.jsdelivr.net/npm/summernote@0.8.18/dist/summernote.min.css" rel="stylesheet">
{% endblock %}

{% block scripts %}
    <script src="https://cdn.jsdelivr.net/npm/summernote@0.8.18/dist/summernote.min.js"></script>
{% endblock %}

{% block content %}
    <div class="container my-5">
        <h1>Liste des fragments hypertexte</h1>

        <table class="table">
            <thead>
                <tr>
                    <th>Actif</th>
                    <th>Identifiant</th>
                    <th>Nom</th>
                    <th>Description</th>
                    <th>Actions</th>
                </tr>
            </thead>
            <tbody>
                {% for fragment in fragments %}
                    <tr>
                        <td>{%if fragment.active %}<i class="fas fa-check" style="color: green;"></i>{% else %}<i class="fas fa-times" style="color: red;"></i>{% endif %}</td>
                        <td>{{ fragment.name }}</td>
                        <td>{{ fragment.display_name }}</td>
                        <td>{{ fragment.description }}</td>
                        <td class="text-nowrap">
                            <a type="button" class="btn btn-link" href="{% url 'fragment_editor' fragment.name %}">
                                <i class="fas fa-edit me-1"></i>Modifier
                            </a>
                        </td>
                {% endfor %}
            </tbody>
        </table>
    </div>
{% endblock %}

